<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <supplier-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <supplier-model-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import SupplierCategoryLeft from './modules/supplier/SupplierCategoryLeft'
import SupplierModelRight from './modules/supplier/SupplierModelRight'
export default {
  name: 'SuppliertList',
  components: {
    SupplierCategoryLeft,
    SupplierModelRight,
  },
  data() {
    return {
      description: '供应商项目',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>